com.tibbo.aggregate.common.util

## Class UserSettings

- java.lang.Object
- - com.tibbo.aggregate.common.util.UserSettings

- All Implemented Interfaces:
    java.lang.Cloneable

      public class UserSettings
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSettings()`
    `UserSettings(ContextManager cm, CallerController callerController)`
    `UserSettings(Evaluator evaluator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserSettings` | `clone()`
    `java.text.SimpleDateFormat` | `createDateFormatter()`
    `java.text.SimpleDateFormat` | `createDateFormatter(java.lang.String pattern, java.lang.String timezone)`
    `void` | `fill(ContextManager cm, CallerController callerController)`
    `void` | `fillActions(ContextManager cm, CallerController callerController)`
    `void` | `fillBasicProperties(ContextManager cm, CallerController callerController)`
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getDateTimePattern()`
    `java.util.List<EntityRelatedActionDescriptor>` | `getEventActions()`
    `java.lang.String` | `getTimePattern()`
    `java.lang.String` | `getTimeZone()`
    `java.util.List<EntityRelatedActionDescriptor>` | `getVariableActions()`
    `int` | `getWeekStartDay()`
    `java.time.ZoneId` | `getZoneIdOrDefault()`
    `boolean` | `isInitialized()`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setEventActions(java.util.List<EntityRelatedActionDescriptor> eventActions)`
    `void` | `setTimePattern(java.lang.String timePattern)`
    `void` | `setTimeZone(java.lang.String timeZone)`
    `void` | `setVariableActions(java.util.List<EntityRelatedActionDescriptor> variableActions)`
    `void` | `setWeekStartDay(int weekStartDay)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSettings

          public UserSettings()

    - #### UserSettings

          public UserSettings(Evaluator evaluator)

    - #### UserSettings

          public UserSettings(ContextManager cm,
                              CallerController callerController)

  - ### Method Detail

    - #### createDateFormatter

          public java.text.SimpleDateFormat createDateFormatter()

    - #### createDateFormatter

          public java.text.SimpleDateFormat createDateFormatter(java.lang.String pattern,
                                                                java.lang.String timezone)

    - #### getZoneIdOrDefault

          public java.time.ZoneId getZoneIdOrDefault()

    - #### getDatePattern

          public java.lang.String getDatePattern()

    - #### setDatePattern

          public void setDatePattern(java.lang.String datePattern)

    - #### getTimePattern

          public java.lang.String getTimePattern()

    - #### setTimePattern

          public void setTimePattern(java.lang.String timePattern)

    - #### getDateTimePattern

          public java.lang.String getDateTimePattern()

    - #### getTimeZone

          public java.lang.String getTimeZone()

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

    - #### getWeekStartDay

          public int getWeekStartDay()

    - #### setWeekStartDay

          public void setWeekStartDay(int weekStartDay)

    - #### getVariableActions

          public java.util.List<EntityRelatedActionDescriptor> getVariableActions()

    - #### setVariableActions

          public void setVariableActions(java.util.List<EntityRelatedActionDescriptor> variableActions)

    - #### getEventActions

          public java.util.List<EntityRelatedActionDescriptor> getEventActions()

    - #### setEventActions

          public void setEventActions(java.util.List<EntityRelatedActionDescriptor> eventActions)

    - #### clone

          public UserSettings clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### fill

          public void fill(ContextManager cm,
                           CallerController callerController)
                    throws ContextException,
                           RemoteDeviceErrorException

      Throws:
        `ContextException`
        `RemoteDeviceErrorException`

    - #### fillBasicProperties

          public void fillBasicProperties(ContextManager cm,
                                          CallerController callerController)
                                   throws ContextException

      Throws:
        `ContextException`

    - #### fillActions

          public void fillActions(ContextManager cm,
                                  CallerController callerController)

    - #### isInitialized

          public boolean isInitialized()